function ctf_plot_sensors(ctf,CHAN)

% ctf_plot_sensors - plot ctf.sensor data
%
% ctf_plot_sensors(ctf,CHAN)
%
% CHAN - see ctf_channel_select for options (default = 'meg')
%
%      <>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
%      <                                                      >
%      <                    DISCLAIMER:                       >
%      <                                                      >
%      < THIS PROGRAM IS INTENDED FOR RESEARCH PURPOSES ONLY. >
%      < THIS PROGRAM IS IN NO WAY INTENDED FOR CLINICAL OR   >
%      <                    OFFICIAL USE.                     >
%      <                                                      >
%      <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<>
%

% $Revision: 1.1 $ $Date: 2004/06/22 16:01:30 $

% Licence:  GNU GPL, no express or implied warranties
% Modified: 05/2004, Darren.Weber_at_radiology.ucsf.edu
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


if ~exist('CHAN','var'), CHAN = 'meg'; end
if isempty(CHAN), CHAN = 'meg'; end

% This function calls ctf_channel_select
[CHAN,type] = ctf_channel_select(ctf,CHAN);

sensors.vertices = zeros(length(CHAN),3);
for i = 1:length(CHAN),
    sensors.vertices(i,:) = ctf.sensor.info(CHAN(i)).location(:,1)';
end

sensors.faces = convhulln(sensors.vertices);

% plot the sensor cloud and the cortical surface
figure; hold on
patch('faces',sensors.faces,'vertices',sensors.vertices,'facecolor',[ 0 1 0], 'edgecolor', 'none','facealpha',0.4)
plot3(sensors.vertices(:,1),sensors.vertices(:,2),sensors.vertices(:,3),'r.')
daspect([1 1 1]); axis tight; grid; light; lighting phong
view([40,20]); rotate3d on
xlabel('x')
ylabel('y')
zlabel('z')

return
